| Online Eiffel Documentation

EiffelStudio

# Project settings window

This is where settings regarding your project are going to be made. In here you can specify:

- the clusters that contain your classes
- the libraries and/or assemblies that you use
- which assertion level you want to check
- which debug clauses will be activated
- which warnings will be reported
- which C/C++ externals your project needs
- what kind of tasks should be executed before or after a compilation
- various other options such as multithreading

The window is organized in eleven sections:

- System Options
- Target Options
  - Assertions
  - Groups
  - Advanced Options
    - Warnings
    - Debug
    - Externals
    - Tasks
    - Variables
    - Type Mapping

The changes you make are taken into account the next time you recompile your project. Instead of automatically performing the compilation each time you click Ok or Apply we decided to save the modifications and let the user decide when to recompile.